job "docker-job" {
  datacenters = ["dc1"]

  group "docker-group" {
    count = 3
    network {
      port "http" {
        to = -1
      }
    }

    service {
      name = "docker-service"
      port = "http"

      check {
        type     = "http"
        path     = "/"
        interval = "2s"
        timeout  = "2s"
      }
    }

    task "docker-task" {
      env {
        PORT    = "${var.NOMAD_PORT_http}"
        NODE_IP = "${var.NOMAD_IP_http}"
      }

      driver = "docker"

      config {
        image = "hashicorp/demo-webapp-lb-guide"
        ports = ["http"]
      }
    }
  }
}
